HuffmanNode Struct Reference

## Public Member Functions

| HuffmanNode (const HuffmanNode &rhs)
HuffmanNode & | operator= (const HuffmanNode &rhs)

## Public Attributes

size_t | symbol
union { |
size_t parent |
unsigned depth |
unsigned freq |
}; |

## Detailed Description

Definition at line 99 of file zdeflate.cpp.

## Constructor & Destructor Documentation

## HuffmanNode() [1/2]

HuffmanNode::HuffmanNode | ( |  | ) |

inline

Definition at line 101 of file zdeflate.cpp.

## HuffmanNode() [2/2]

HuffmanNode::HuffmanNode | ( | const HuffmanNode & | rhs | ) |

inline

Definition at line 103 of file zdeflate.cpp.

## Member Function Documentation

## operator=()

HuffmanNode & HuffmanNode::operator= | ( | const HuffmanNode & | rhs | ) |

inline

Definition at line 105 of file zdeflate.cpp.

## Member Data Documentation

## symbol

size_t HuffmanNode::symbol

Definition at line 113 of file zdeflate.cpp.

## parent

size_t HuffmanNode::parent

Definition at line 114 of file zdeflate.cpp.

## depth

unsigned HuffmanNode::depth

Definition at line 114 of file zdeflate.cpp.

## freq

unsigned HuffmanNode::freq

Definition at line 114 of file zdeflate.cpp.

The documentation for this struct was generated from the following file:

- zdeflate.cpp